%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             xnio
Version:          3.0.3
Release:          6%{?dist}
Summary:          JBoss XNIO
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/xnio

# git clone git://github.com/jboss-remoting/xnio.git
# cd xnio/ && git archive --format=tar --prefix=xnio-3.0.3.GA/ 3.0.3.GA | xz > xnio-3.0.3.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch00:          %{name}-%{namedversion}-jmock.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel >= 1:1.7.0
BuildRequires:    maven-local

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    maven-shared

Requires:         jboss-logmanager
Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
A simplified low-level I/O layer which can be used anywhere you are
using NIO today. It frees you from the hassle of dealing with Selectors and
the lack of NIO support for multicast sockets and non-socket I/O, while still
maintaining all the capabilities present in NIO.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
# No jmock
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p api/target/%{name}-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
cp -p nio-impl/target/%{name}-nio-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-nio.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-api.pom
install -pm 644 nio-impl/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-nio.pom
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
%add_maven_depmap JPP-%{name}-nio.pom %{name}-nio.jar
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt

%changelog
* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-6
- Added maven-shared BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.0.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Jul 23 2012 Marek Goldmann <mgoldman@redhat.com> - 3.0.3-3
- Fixed BR

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.3-1
- Upstream release 3.0.3.GA

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-2
- Relocated jars to _javadir

* Wed Feb 15 2012 Marek Goldmann <mgoldman@redhat.com> 3.0.1-1
- Upstream release 3.0.1.GA

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.CR5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.CR5
- Upstream release 3.0.0.CR5

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.CR3
- Upstream release 3.0.0.CR3

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta6
- Upstream release 3.0.0.Beta6

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.2.Beta4
- Spec file cleanup

* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-0.1.Beta4
- Initial packaging

